Package org.gradle.tooling

## Class BuildException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.tooling.GradleConnectionException
        - - org.gradle.tooling.BuildException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BuildException
      extends GradleConnectionException

  Thrown when a Gradle build fails or when a model cannot be built.
  Since:
    1.0-milestone-3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildException​(java.lang.String message, java.lang.Throwable throwable)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildException

          public BuildException​(java.lang.String message,
                                java.lang.Throwable throwable)